#!/bin/bash

set -e

if ! dpkg -s python-dev>/dev/null; then
  echo "Installing python-dev..."
  apt-get update
  apt-get install -y python-dev
fi
 
if ! command -v pip>/dev/null; then
  echo "Installing pip..."
  curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
  python get-pip.py
fi

echo "Updating pip..."
pip install --upgrade pip
 
echo "Installing setuptools..."
pip install setuptools

# Install numpy
echo
echo "Installing numpy..."
pip install numpy

# Install dlr egg
echo
echo "Installing dlr for python..."
easy_install dlr-1.0-py2.7-linux-aarch64.egg
echo

# Test dlr runtime
echo
echo "Testing dlr using python..."
python tests/test-dlr.py

echo
echo "dlr was installed successfully!"
echo
